/*
	$Id: main.cpp 1234 2018-12-02 13:26:01Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Contacts4c.h"
#include <QApplication>

#include <ldap4c/Exception.h>
#include <ldap4c/Directory.h>

#include <QMessageBox>
#include <QInputDialog>

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);

	QString strPassword = QInputDialog::getText( NULL, QObject::tr( "Authenticate" ), QObject::tr( "Password" ), QLineEdit::Password );

	try
	{
		Ldap4c::Directory::initialize( "ldap://hagrid.4ccompany.com:389", Ldap4c::Base::Dn( "dc=4ccompany,dc=com" ), Ldap4c::Base::Dn( "cn=Manager,dc=4ccompany,dc=com" ), strPassword.toStdString() );
		Ldap4c::Directory::setContactBaseDn( Ldap4c::Base::Dn( "ou=contacts,dc=4ccompany,dc=com" ) );
	}
	catch( const Ldap4c::Exception& e )
	{
		QMessageBox::warning( NULL, QString::fromStdString( Ldap4c::Exception::explainErrorCode( e.errorCode() ) ), QString::fromStdString( e.legend() ) );
	}

	Contacts4c w;
	w.show();

	return a.exec();
}
