/*
	$Id: DirectoryWidget.cpp 1227 2018-12-01 15:28:02Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <ldap4cUIComponents/DirectoryWidget.h>
#include "ui_DirectoryWidget.h"

using namespace Ldap4cUIComponents;

DirectoryWidget::DirectoryWidget(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::DirectoryWidget)
{
	ui->setupUi(this);

	connect( ui->_pwdgGroup, SIGNAL(inetOrgPersonActivated(Ldap4c::inetOrgPerson)), this, SLOT(onInetOrgPersonActivated(Ldap4c::inetOrgPerson)) );
	connect( ui->_pwdgGroup, SIGNAL(inetOrgPersonClicked(Ldap4c::inetOrgPerson)), this, SLOT(onInetOrgPersonClicked(Ldap4c::inetOrgPerson)) );
}

DirectoryWidget::~DirectoryWidget()
{
	delete ui;
}

void DirectoryWidget::onInetOrgPersonActivated( const Ldap4c::inetOrgPerson& person )
{
	ui->_pwdgInetOrgPerson->setInetOrgPerson( person );
}

void DirectoryWidget::onInetOrgPersonClicked( const Ldap4c::inetOrgPerson& person )
{
	ui->_pwdgInetOrgPerson->setInetOrgPerson( person );
}
