/*
	$Id: IOPAddressWidget.cpp 1232 2018-12-01 20:29:13Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <ldap4cUIComponents/IOPAddressWidget.h>
#include "ui_IOPAddressWidget.h"

using namespace Ldap4cUIComponents;

IOPAddressWidget::IOPAddressWidget(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::IOPAddressWidget)
{
	ui->setupUi(this);

	ui->_pcbxCountry->populate();
}

IOPAddressWidget::~IOPAddressWidget()
{
	delete ui;
}

QLineEdit* IOPAddressWidget::street()
{
	return ui->_pedtStreet;
}

QLineEdit* IOPAddressWidget::l()
{
	return ui->_pedtL;
}

QLineEdit* IOPAddressWidget::st()
{
	return ui->_pedtSt;
}

QLineEdit* IOPAddressWidget::postalCode()
{
	return ui->_pedtPostalCode;
}

CountryComboBox* IOPAddressWidget::country()
{
	return ui->_pcbxCountry;
}

QPlainTextEdit* IOPAddressWidget::homePostalAddress()
{
	return ui->_pedtHomePostalAddress;
}
