/*
	$Id: IOPPersonWidget.cpp 1237 2018-12-02 15:36:11Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <ldap4cUIComponents/IOPPersonWidget.h>
#include "ui_IOPPersonWidget.h"

#include <ldap4c/Directory.h>

using namespace Ldap4cUIComponents;

IOPPersonWidget::IOPPersonWidget(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::IOPPersonWidget)
{
	ui->setupUi(this);
}

IOPPersonWidget::~IOPPersonWidget()
{
	delete ui;
}

QLineEdit* IOPPersonWidget::givenName()
{
	return ui->_pedtGivenName;
}

QLineEdit* IOPPersonWidget::sn()
{
	return ui->_pedtSn;
}

QLineEdit* IOPPersonWidget::dn()
{
	return ui->_pedtDn;
}

QLineEdit* IOPPersonWidget::displayName()
{
	return ui->_pedtDisplayName;
}

QLineEdit* IOPPersonWidget::initials()
{
	return ui->_pedtInitials;
}

QLineEdit* IOPPersonWidget::o()
{
	return ui->_pedtO;
}

QLineEdit* IOPPersonWidget::title()
{
	return ui->_pedtTitle;
}

void IOPPersonWidget::onChangedName( const QString& /*strName*/ )
{
	_strFullName = ui->_pedtGivenName->text() + " " + ui->_pedtSn->text();

	ui->_pedtDisplayName->setText( _strFullName );

	QString strDn = "cn=" + _strFullName + "," + QString::fromStdString( Ldap4c::Directory::contactBaseDn().dn() );
	ui->_pedtDn->setText( strDn );
}
