/*
	$Id: InetOrgPersonListWidgetItem.cpp 1227 2018-12-01 15:28:02Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <ldap4cUIComponents/InetOrgPersonListWidgetItem.h>

#include <ldap4c/Exception.h>

using namespace Ldap4cUIComponents;

InetOrgPersonListWidgetItem::InetOrgPersonListWidgetItem( QListWidget* pparent, const Ldap4c::inetOrgPerson& person )
	: QListWidgetItem( pparent ),
	_pperson( &person )
{
	setText( QString::fromStdString( _pperson->displayName() ) );
}

const Ldap4c::inetOrgPerson& InetOrgPersonListWidgetItem::inetOrgPerson()
{
	if( NULL == _pperson )
	{
		throw Ldap4c::Exception( __FILE__, __LINE__, Ldap4c::LDX_NOINETORGPERSONSET );
	}

	return *_pperson;
}
