#include <ldap4cUIComponents/SplashWidget.h>

#include <ldap4c/ldap4c.h>

#include <QLabel>
#include <QFont>
#include <QPixmap>
#include <QApplication>

using namespace Ldap4cUIComponents;

SplashWidget::SplashWidget( QWidget* pparent )
	: QWidget( pparent )
{
	resize( 480, 330 );
	QPixmap pm( ":/Ldap4cUIComponents/Resources/splash.png" );

	_plblSplash = new QLabel( this );
	_plblSplash->setGeometry( 0, 0, 480, 330 );
	_plblSplash->setPixmap( pm );

	_plblProduct = new QLabel( _plblSplash );
	_plblVersion = new QLabel( _plblSplash );
	_plblCopyright = new QLabel( _plblSplash );
	_plblProgress = new QLabel( _plblSplash );

	_plblProduct->setGeometry( 200, 20, 180, 30 );
	_plblVersion->setGeometry( 200, 50, 100, 20 );
	_plblCopyright->setGeometry( 200, 65, 200, 80 );
	_plblProgress->setGeometry( 20, 260, 400, 40 );

	QFont font( _plblProduct->font() );
	font.setWeight( QFont::Bold );
	font.setPointSize( font.pointSize() + 4 );
	_plblProduct->setFont( font );

	_plblCopyright->setWordWrap( true );

	_plblProduct->setText( QString::fromStdString( Ldap4c::product() ) );
	_plblVersion->setText( QString::fromStdString( Ldap4c::version().textLS() ) );
	_plblCopyright->setText( QString::fromStdString( Ldap4c::copyright() ) );
}

SplashWidget::~SplashWidget()
{
}

void SplashWidget::setProgress( const QString& strMessage /*= QString()*/ )
{
	_plblProgress->setText( strMessage );

	QApplication::processEvents();
}
